Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class PerformanceMeasureParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.PerformanceMeasureParams

    public class PerformanceMeasureParams

extends Object

Selects a specific performance measure identified by a type name, a row, and a column.

Field Summary
`protected Integer` | `column`
`protected HistogramParams` | `histogram`
`protected String` | `measure`
`protected Integer` | `row`

Constructor Summary
`PerformanceMeasureParams()`

Method Summary
`int` | `getColumn()` Gets the value of the column property.
`HistogramParams` | `getHistogram()` Gets the value of the histogram property.
`String` | `getMeasure()` Gets the value of the measure property.
`int` | `getRow()` Gets the value of the row property.
`boolean` | `isSetColumn()`
`boolean` | `isSetHistogram()`
`boolean` | `isSetMeasure()`
`boolean` | `isSetRow()`
`void` | `setColumn(int value)` Sets the value of the column property.
`void` | `setHistogram(HistogramParams value)` Sets the value of the histogram property.
`void` | `setMeasure(String value)` Sets the value of the measure property.
`void` | `setRow(int value)` Sets the value of the row property.
`void` | `unsetColumn()`
`void` | `unsetRow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### histogram

    protected HistogramParams histogram

### measure

    protected String measure

### row

    protected Integer row

### column

    protected Integer column

Constructor Detail

### PerformanceMeasureParams

    public PerformanceMeasureParams()

Method Detail

### getHistogram

    public HistogramParams getHistogram()

  Gets the value of the histogram property.

  Returns:
    possible object is `HistogramParams`

### setHistogram

    public void setHistogram(HistogramParams value)

  Sets the value of the histogram property.

  Parameters:
    `value` - allowed object is `HistogramParams`

### isSetHistogram

    public boolean isSetHistogram()

### getMeasure

    public String getMeasure()

  Gets the value of the measure property.

  Returns:
    possible object is `String`

### setMeasure

    public void setMeasure(String value)

  Sets the value of the measure property.

  Parameters:
    `value` - allowed object is `String`

### isSetMeasure

    public boolean isSetMeasure()

### getRow

    public int getRow()

  Gets the value of the row property.

  Returns:
    possible object is `Integer`

### setRow

    public void setRow(int value)

  Sets the value of the row property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetRow

    public boolean isSetRow()

### unsetRow

    public void unsetRow()

### getColumn

    public int getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `Integer`

### setColumn

    public void setColumn(int value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetColumn

    public boolean isSetColumn()

### unsetColumn

    public void unsetColumn()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.